Bug 811199 - NetworManager deletes DNS settings configured in Anaconda
NetworManager deletes DNS settings configured in Anaconda
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 07:50 EDT by Zdenek Wagner
Modified: 2013-02-14 05:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:54:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Wagner 2012-04-10 07:50:47 EDT
Description of problem:
If the ehternet card is configured to have a static IP v.4 static address. the information including the gateway and DNS servers is properly used if installation crashes, Anaconda can connect to network repositories but after reboot the NetworkManager only accepts the IP address and the default gateway, the search domain and DNS servers are lost, /etc/resolv.conf contains just comments but no data

Version-Release number of selected component (if applicable):
NetworkManager-openvpn-0.9.0-1.fc16.x86_64
NetworkManager-0.9.2-1.fc16.x86_64
NetworkManager-pptp-0.9.0-1.fc16.x86_64
NetworkManager-glib-0.9.2-1.fc16.x86_64
NetworkManager-gnome-0.9.2-1.fc16.x86_64
evolution-NetworkManager-3.2.3-2.fc16.x86_64
NetworkManager-openconnect-0.9.0-3.fc16.x86_64
NetworkManager-vpnc-0.9.0-1.fc16.x86_64
NetworkManager-gtk-0.9.2-1.fc16.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Configure static IP address in Anaconda, set gateway and DNS
2. Complete installation
3. Reboot
  
Actual results:
/etc/resolv.conf empty (without data), connectivity lost because the computer cannot resolve the names but other computers may ping it


Expected results:
/etc/resolv.conf should contain data configured in Anaconda (and the data should be stored in the NetworkMonitor config files)

Additional info:
Comment 1 Dan Williams 2012-08-14 12:20:10 EDT
Can you get a bit of information for me?  Before rebooting, drop to a prompt by flipping to VT2 (or VT3, I forget) and doing something like:

cat /etc/resolv.conf
ls /etc/sysconfig/network-scripts/ifcfg-*

and then cat the ifcfg files you find there.  Do any of them contain DNS lines?
Comment 2 Zdenek Wagner 2012-08-14 15:37:59 EDT
Sorry, I cannot do it now, the computer was long ago turned into a production server. As I remember:

During installation the computer was connected to a LAN where no DHCP server exists. When Anaconda asked for network configuration, I filled static IP address, gateway and a few DNS servers (in GUI which is most probably system-config-network). Internet connection worked fine during installation. After reboot /etc/resolv.conf contained only the following line:

# Generated by NetworkManager

All DNS lines were removed. /etc/sysconfig/networking/profiles/default/resolv.conf was empty too but these files are hardlinked (and the hard link remained preserved).

I am not sure about /etc/sysconfig/network-scripts/ifcfg-p6p1, I do not remember whether the DNS lines were removed but it contained NM_CONTROLLED=yes (I set it to no later due to problems with the DNS lines). I know that NetworkManager has its own GUI for setting DHCP, DNS etc but it is annoying if the network works during installation and stops working after reboot.
Comment 3 Fedora End Of Life 2013-01-16 08:12:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Zdenek Wagner 2013-01-16 08:25:28 EST
(In reply to comment #3)
> This message is a reminder that Fedora 16 is nearing its end of life.
> Approximately 4 (four) weeks from now Fedora will stop maintaining
> and issuing updates for Fedora 16. It is Fedora's policy to close all
> bug reports from releases that are no longer maintained. At that time
> this bug will be closed as WONTFIX if it remains open with a Fedora 
> 'version' of '16'.
> 
> Package Maintainer: If you wish for this bug to remain open because you
> plan to fix it in a currently maintained version, simply change the
> 'version' 
> to a later Fedora version prior to Fedora 16's end of life.
> 
> Bug Reporter: Thank you for reporting this issue and we are sorry that 
> we may not be able to fix it before Fedora 16 is end of life. If you 
> would still like to see this bug fixed and are able to reproduce it 
> against a later version of Fedora, you are encouraged to click on 
> "Clone This Bug" and open it against that version of Fedora.
> 
OK. Fedora 17 has different algorithm for network setup, it is better than in Fedora 16, no need for cloning the bug.

> Although we aim to fix as many bugs as possible during every release's 
> lifetime, sometimes those efforts are overtaken by events. Often a 
> more recent Fedora release includes newer upstream software that fixes 
> bugs or makes them obsolete.
> 
> The process we are following is described here: 
> http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 08:54:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Zdenek Wagner 2013-02-14 05:09:39 EST
Since Fedora 17 the network manager is much improved and this bug no longer appears.

Note You need to log in before you can comment on or make changes to this bug.